# Poco::Crypto

# class DecryptingInputStream

Library: Crypto
Package: Cipher
Header: Poco/Crypto/CryptoStream.h

## Description

This stream decrypts all data passing through it using the given Cipher.

## Inheritance

Direct Base Classes: CryptoIOS, std::istream

All Base Classes: CryptoIOS, std::ios, std::istream

## Member Summary

Inherited Functions: rdbuf

## Constructors

### DecryptingInputStream

DecryptingInputStream(
std::istream & istr,
Cipher & cipher,
std::streamsize bufferSize = 8192
);

Create a new DecryptingInputStream object using the given cipher.

## Destructor

### ~DecryptingInputStream

~DecryptingInputStream();

Destroys the DecryptingInputStream.